package com.yidian.shenghuoquan.border.ui

import android.content.Intent
import androidx.activity.viewModels
import com.yidian.bcommon.constant.XRouterPathConstants
import com.yidian.bcommon.mvvm.BaseMvvmActivity
import com.yidian.bcommon.utils.SensitiveInfoUtil
import com.yidian.bcommon.utils.ToastUtils
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.databinding.BorderActivityConfirmOrderBinding

/**
 * 确认订单
 */
class ConfirmOrderActivity : BaseMvvmActivity<BorderActivityConfirmOrderBinding, ConfirmOrderViewModel>() {

  override val layoutId: Int = R.layout.border_activity_confirm_order

  override val vm: ConfirmOrderViewModel by viewModels()

  override fun initView() {
    initClick()
    getIntentData(intent)
  }

  private fun getIntentData(intent: Intent?) {
    val paramsMap = intent?.getSerializableExtra(XRouterPathConstants.ParamsKey)
    if (paramsMap != null) {
      paramsMap as HashMap<*, *>
      val marketingId = paramsMap["marketing_id"]
      ToastUtils.showLongSafe("活动id: $marketingId")
    }
  }

  private fun initClick() {

  }


}
